### Method

# Gtk Constraint get_target

#### Declaration [src]

    GtkConstraintTarget*
    gtk_constraint_get_target (
      GtkConstraint* constraint
    )

#### Description [src]

Retrieves the `GtkConstraintTarget` used as the target for the constraint.

If the targe is set to `NULL` at creation, the constraint will use the widget using the `GtkConstraintLayout` as the target.

Gets property | `Gtk.Constraint:target`

#### Return value

Type: `GtkConstraintTarget`

A `GtkConstraintTarget`.

The returned data is owned by the instance.
The return value can be `NULL`.